typedef union {
  CHAR c;
  INT_32 i;
  UINT_32 ui;
  FLOAT f;
  CHAR *str;
  CListInt *pCListInt;
  DynInt *dyni;
  DynFloat *dynf;
  DynVector *dynv;
  DynPoint *dynpt;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#define	rwTCL_INIT	258
#define	rwTCL_UPDATE	259
#define	rwTCL_TAG	260
#define	rwWINDOW	261
#define	rwEND_WINDOW	262
#define	rwVIEWPORT	263
#define	rwEND_VIEWPORT	264
#define	rwORIGIN	265
#define	rwSIZE	266
#define	rwBACKGROUND	267
#define	rwCAMERA	268
#define	rwEND_CAMERA	269
#define	rwPROJECTION	270
#define	rwFRUSTUM	271
#define	rwLIGHT	272
#define	rwEND_LIGHT	273
#define	rwTYPE	274
#define	rwDEAD_DISTANCE	275
#define	rwFALL_OFF	276
#define	rwANGULAR_FALL_OFF	277
#define	rwSLF_AMBIENT	278
#define	rwSLF_DIRECTIONAL	279
#define	rwSLF_POINT	280
#define	rwSLF_SPOT	281
#define	rwRENDER	282
#define	rwEND_RENDER	283
#define	rwGROUP	284
#define	rwEND_GROUP	285
#define	rwINSTANCE	286
#define	rwEND_INSTANCE	287
#define	rwTRANSLATE	288
#define	rwSCALE	289
#define	rwROTATE	290
#define	rwLOOK_AT	291
#define	rwEND_LOOK_AT	292
#define	rwEYE	293
#define	rwTARGET	294
#define	rwUP	295
#define	rwOBJECT	296
#define	rwEND_OBJECT	297
#define	rwFACE	298
#define	rwEND_FACE	299
#define	rwPOINT	300
#define	rwEND_POINT	301
#define	rwSURFACE	302
#define	rwEND_SURFACE	303
#define	rwCOLOR	304
#define	rwREFLECTIVITY	305
#define	rwEXPONENT	306
#define	rwMETALLIC	307
#define	rwSLF_INHERIT	308
#define	rwID	309
#define	rwSLF_OFF	310
#define	rwSLF_ON	311
#define	rwSOLID	312
#define	rwSLF_SOLID	313
#define	rwSLF_HOLLOW	314
#define	rwSHADING	315
#define	rwSLF_WIRE	316
#define	rwSLF_FLAT	317
#define	rwSLF_GOURAUD	318
#define	rwSLF_PHONG	319
#define	rwLOD	320
#define	rwSLF_BOUND	321
#define	rwSLF_EDGES	322
#define	rwSLF_FULL	323
#define	rwSLF_PARALLEL	324
#define	rwSLF_PERSPECTIVE	325
#define	rwNORMAL	326
#define	rwTEXTURE	327
#define	tokCONST_CHAR	328
#define	tokCONST_INT	329
#define	tokCONST_FLOAT	330
#define	tokCONST_STRING	331
#define	tokIDENTIFIER	332
#define	tokTCL_BLOCK	333


extern YYSTYPE slide_lval;
