#ifndef __TYPES_H__
#define __TYPES_H__

#ifdef WIN32

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#undef WIN32_LEAN_AND_MEAN
#include <winnt.h>

#else // WIN32

typedef unsigned char BOOL;

typedef float FLOAT;

#endif // WIN32

typedef double DOUBLE;

#ifndef NULL
#define NULL 0
#endif // NULL

#ifndef TRUE
#define TRUE 1
#endif // TRUE

#ifndef FALSE
#define FALSE 0
#endif // FALSE

typedef char CHAR;
typedef unsigned char UCHAR;
#ifndef VOID
typedef void VOID;
#endif VOID

typedef char INT_8;
typedef short INT_16;
typedef long INT_32;

typedef unsigned char UINT_8;
typedef unsigned short UINT_16;
typedef unsigned long UINT_32;

typedef unsigned char WORD_8;
typedef unsigned short WORD_16;
typedef unsigned long WORD_32;

#endif // __TYPES_H__



